org.eclipse.emf.cdo.common.lock

## Class IDurableLockingManager.LockAreaNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockAreaNotFoundException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    IDurableLockingManager

      public static class IDurableLockingManager.LockAreaNotFoundException
      extends IllegalStateException

  Thrown if a `lock area` is spcified that does not exist in a CDO `repository`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockAreaNotFoundException(String durableLockingID)`
    `LockAreaNotFoundException(String message, Throwable cause, String durableLockingID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDurableLockingID()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockAreaNotFoundException

          public LockAreaNotFoundException(String durableLockingID)

    - #### LockAreaNotFoundException

          public LockAreaNotFoundException(String message,
                                           Throwable cause,
                                           String durableLockingID)

  - ### Method Detail

    - #### getDurableLockingID

          public String getDurableLockingID()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html